package ca.mcgill.sable.abc.impact.visualizer.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;

import ca.mcgill.sable.abc.impact.visualizer.model.ImageFactory;
import ca.mcgill.sable.abc.impact.visualizer.views.ImpactView;

public final class CollapseAllAction extends Action {

	private ImpactView impactView;

	public CollapseAllAction(ImpactView view) {
		super("Collapse All");
		setDescription("Collapse All");
		setToolTipText("Collapse All");
		setImageDescriptor(ImageDescriptor.createFromImage(ImageFactory.COLLAPSEALL.getImage()));
		impactView = view;
	}

	public void run() {
		impactView.collapseAll();
	}
}
